problems upgrading 14.04 to 14.10 (configuration failures in sysv-rc & grub packages)

Adam Funk a24061 at ducksburg.com
Thu Nov 20 09:48:35 UTC 2014


On 2014-11-06, Marius Gedminas wrote:

> On Wed, Nov 05, 2014 at 04:47:06PM +0000, Adam Funk wrote:
>> On 2014-11-05, Peter Smout wrote:

>> I noticed my system also has an update-grub2 command (which I haven't
>> tried), & 'dpkg -i' lists the following installed grub packages:
>> 
>> ii  grub-common           2.02~beta2-15 amd64
>> ii  grub-gfxpayload-lists 0.6           amd64
>> ii  grub-pc               2.02~beta2-15 amd64
>> ii  grub-pc-bin           2.02~beta2-15 amd64
>> ii  grub2-common          2.02~beta2-15 amd64
>> 
>> Is that normal?
>
> Yes.
>
> $ ls -l /usr/sbin/update-grub*
> -rwxr-xr-x 1 root root  64 Spa 15 15:28 /usr/sbin/update-grub
> lrwxrwxrwx 1 root root  11 Spa 16 12:49 /usr/sbin/update-grub2 -> update-grub
> -rwxr-xr-x 1 root root 241 Rgp 16  2011 /usr/sbin/update-grub-gfxpayload
>
>> > As you had a grub error in your earlier post it might be worth 
>> > downloading boot repair 
>> 
>> I think the grub error was just caused by the other unrelated
>> package's config script failing.
>
> Yes.

It all worked out in the end, & I didn't have any problems with the
other machines I upgraded after that.  Thanks for your help!




More information about the ubuntu-users mailing list